import {  CampaignTypeEnum, ConfiguredStatusEnum, PromotedObjectType, SpeedMode } from '@/services/launchAdq/enum'
import { Badge,Switch } from 'antd'
import React from 'react'
function tableConfig():any{
    return [
        {
            title: '启停',
            dataIndex: 'qt',
            key: 'qt',
            align: 'center',
            width:50,
            fixed:'left',
            render:(a:string)=>{
                return <Switch /> 
            }
        },
        {
            title: '所属账号',
            dataIndex: 'accountId',
            key: 'accountId',
            align: 'center',
            width:90,
            fixed:'left',
            render:(a:string)=>{
                return <a>{a}</a>
            }
        },
        {
            title: '计划ID',
            dataIndex: 'campaignId',
            key: 'campaignId',
            align: 'center',
            width:100,
            fixed:'left',
            render:(a:string)=>{
                return <a>{a}</a>
            }
        },
        {
            title: '计划名称',
            dataIndex: 'campaignName',
            key: 'campaignName',
            align: 'center',
            width:300,
        },
        {
            title: '推广计划类型',
            dataIndex: 'campaignType',
            key: 'campaignType',
            align: 'center',
            width:130,
           render:(a: string | number)=>{
            return CampaignTypeEnum[a]
           } 
        },
        {
            title: '推广目标类型',
            dataIndex: 'promotedObjectType',
            key: 'promotedObjectType',
            align: 'center',
            width:130,
           render:(a: string | number)=>{
            return PromotedObjectType[a]
           } 
        },
        {
            title: '投放速度模式',
            dataIndex: 'speedMode',
            key: 'speedMode',
            align: 'center',
            width:130,
           render:(a: string | number)=>{
            return SpeedMode[a]
           } 
        },
        {
            title: '广告组日预算(分)',
            dataIndex: 'dailyBudget',
            key: 'dailyBudget',
            align: 'center',  
            width:130,
        },
        {
            title: '推广计划总预算(分)',
            dataIndex: 'totalBudget',
            key: 'totalBudget',
            align: 'center',  
            width:130,
        },
        {
            title: '是否已删除',
            dataIndex: 'isDeleted',
            key: 'isDeleted',
            align: 'center',
            width:100,
            render: (a: any, b: any) => {
                return  <Badge status={!a ? "processing" :"error" } text={a? '是' : '否'} />
            }
        },
        {
            title: '创建时间',
            dataIndex: 'createdTime',
            key: 'createdTime',
            align: 'center',
            width:160,
        },
        {
            title: '计划状态',
            dataIndex: 'configuredStatus',
            key: 'configuredStatus',
            align: 'center',
            width:70,
            fixed:'right',
            render:(a:string)=>{
                return  <Badge status={a==='AD_STATUS_NORMAL' ? "processing" :"error" } text={ConfiguredStatusEnum[a]} />
            }
        },
    ]
}
export default tableConfig